from ..utils.metadata import Metadata
from ..utils.storage import Storage


class PrivateKeyGateway:

    @classmethod
    def getPem(cls):
        return Storage.read(
            bucketPath=Storage.bucketPath(
                filePath="/private-key",
                fileName="{name}.pem".format(name=Metadata.getProjectId())
            )
        )