from ..models import Model
from google.appengine.ext import ndb

initialNumberOfShards = 1


class ShardedCounter(Model):
    numShards = ndb.IntegerProperty(default=initialNumberOfShards)
    accumulated = ndb.IntegerProperty(default=0)


class Shard(Model):
    value = ndb.IntegerProperty(default=0)
    updated = ndb.DateTimeProperty(auto_now=True)
    created = ndb.DateTimeProperty(auto_now_add=True)
