

class String:

    @classmethod
    def isString(cls, string):
        return isinstance(string, (str, unicode))

    @classmethod
    def isEmpty(cls, string):
        return len(string.strip()) == 0

    @classmethod
    def isNonStringOrEmpty(cls, *strings):
        array = [(not cls.isString(string) or cls.isEmpty(string)) for string in strings]
        return array.count(True) > 0

    @classmethod
    def toUtf8String(cls, string):
        if not isinstance(string, basestring):
            return str(string)
        if not isinstance(string, str):
            string = string.encode("utf8")
        return string

    @classmethod
    def validateLength(cls, string, maxLength=1500):
        if len(string) > maxLength:
            return False
        return True
