from ..utils.error import errorInternalRoute
from ..handlers.base import freeAccessProjectIds


def internalRoute(func):
    def wrapper(self, *args, **data):
        if self.getInboundProjectId() in freeAccessProjectIds:
            return self.sendJson(errorInternalRoute(language=self.getLanguage()))
        return func(self, *args, **data)
    return wrapper