

class ErrorModel:

    @classmethod
    def new(cls, message, code):
        return {
            "errors": [cls.element(message=message, code=code)]
        }

    @classmethod
    def array(cls, elements):
        for element in elements:
            if not cls.isElement(element):
                raise RuntimeError("tried to insert invalid element in errors array: {}".format(element))

        return {
            "errors": elements
        }

    @classmethod
    def element(cls, message, code):
        return {
            "message": message,
            "code": code
        }

    @classmethod
    def isObject(cls, errorModel):
        return isinstance(errorModel, dict) and ("error" in errorModel or "errors" in errorModel)

    @classmethod
    def isElement(cls, errorElement):
        return isinstance(errorElement, dict) and ("code" in errorElement or "message" in errorElement)
