# coding: utf-8

from ..utils.string import String

banks = {
    "1": "Banco do Brasil",
    "3": "Banco da Amazônia",
    "4": "Banco do Nordeste",
    "7": "Bnds",
    "10": "Credicoamo",
    "11": "Credit Suisse Hedging-Griffo",
    "12": "Banco Inbursa",
    "14": "Natixis",
    "15": "UBS",
    "16": "Creditran",
    "17": "BNY Mellon Banco",
    "18": "Banco Tricury",
    "21": "Banestes",
    "24": "Banco Bandepe",
    "25": "Banco Alfa",
    "29": "Banco Itaú Consignado",
    "33": "Santander",
    "36": "Banco Bradesco BBI",
    "37": "Banco do Estado do Pará",
    "40": "Banco Cargill",
    "41": "Banco do Estado do Rio Grande do Sul",
    "47": "Banco do Estado de Sergipe",
    "60": "Confidence",
    "62": "Hipercard",
    "63": "Banco Bradescard",
    "64": "Goldman Sachs",
    "65": "Banco AndBank",
    "66": "Banco Morgan Stanley",
    "69": "Banco Crefisa",
    "70": "Banco de Brasília",
    "74": "Banco J. Safra",
    "75": "Banco ABN Amro",
    "76": "Banco KDB",
    "77": "Banco Inter",
    "78": "Haitong",
    "79": "Banco Original",
    "80": "BT",
    "81": "BBN",
    "82": "Banco Topazio",
    "83": "Banco da China",
    "84": "Uniprime Norte do Paraná",
    "85": "Cecred",
    "89": "Credisan",
    "91": "Cecrers",
    "92": "Brickell",
    "93": "Pólocred",
    "94": "Banco Finaxis",
    "95": "Banco Confidence",
    "96": "Banco BMFBovespa",
    "97": "Credisis",
    "98": "Credialiança",
    "99": "Uniprime Central",
    "100": "Planner",
    "101": "Renascença",
    "102": "XP Investimentos",
    "104": "Caixa",
    "105": "Lecca",
    "107": "Banco BBM",
    "108": "PortoCred",
    "111": "Oliveira Trust",
    "113": "Magliano",
    "114": "CECOOP",
    "117": "Advanced",
    "118": "Standard Chartered Bank",
    "119": "Banco Western Union",
    "120": "Banco Rodobens",
    "121": "Banco Agiplan",
    "122": "Banco Bradesco BERJ",
    "124": "Banco Woori Bank",
    "125": "Brasil Plural",
    "126": "BR Partners",
    "127": "Codepe",
    "128": "MS Bank",
    "129": "UBS",
    "130": "Caruana",
    "131": "Tullett Prebon",
    "132": "ICBC",
    "133": "Confesol",
    "134": "BGC",
    "135": "Gradual",
    "136": "Unicred",
    "137": "Multimoney LTDA",
    "138": "Get Money",
    "139": "Intesa Sanpaolo",
    "140": "Easynvest",
    "142": "Broker",
    "143": "Treviso",
    "144": "Bexs",
    "145": "Levycam",
    "146": "Guitta",
    "149": "Facta Financeira",
    "157": "ICAP",
    "159": "Casa do Crédito",
    "163": "Commerzbank",
    "169": "Banco Olé Bonsucesso",
    "172": "Albatross S.A",
    "173": "BRL Trust",
    "174": "Pernambucanas",
    "177": "Guide Investimentos",
    "180": "CM Capital Markets",
    "182": "Dacasa Financeira",
    "183": "Socred",
    "184": "Banco Itaú BBA",
    "188": "Ativa Investimentos",
    "189": "HS Financeira",
    "190": "Servicoop",
    "191": "Nova Futura",
    "194": "Parmetal",
    "196": "Fair",
    "197": "Stone Pagamentos",
    "204": "Banco Bradesco Cartões",
    "208": "Banco BTG Pactual",
    "212": "Banco Original",
    "213": "Banco Arbi",
    "217": "Banco John Deere",
    "218": "Banco BS2",
    "222": "Banco Credit Agrícole",
    "224": "Banco Fibra",
    "233": "Banco Cifra",
    "237": "Bradesco",
    "241": "Banco Clássico",
    "243": "Banco Máxima",
    "246": "Banco ABC",
    "248": "Banco Boavista Interatlântico",
    "249": "Banco Investcred Unibanco",
    "250": "Banco de Crédito e Varejo",
    "253": "Bexs Corretora de Câmbio",
    "254": "Parana Banco",
    "259": "Moneycorp Banco De Câmbio S.A.",
    "260": "NuBank",
    "265": "Banco Fator",
    "266": "Banco Cédula",
    "268": "Barigui Companhia Hipotecária",
    "269": "HSBC Banco de Investimento",
    "270": "Sagitur Corretora de Câmbio",
    "271": "IB CCTVM",
    "272": "AGK Corretora de Câmbio S.A.",
    "273": "CCR de São Miguel do Oeste",
    "274": "Money Plus LTDA",
    "276": "Senff",
    "278": "Genial Investimentos CVM",
    "279": "CCR de Primavera do Leste",
    "280": "Avista",
    "281": "CCR Coopavel",
    "283": "RB Capital Investimentos DTVM",
    "285": "Frente Corretora de Câmbio",
    "286": "CCR de Ouro",
    "288": "Carol DTVM",
    "289": "Decyseo CC LTDA.",
    "290": "PagSeguro Internet S.A.",
    "292": "BS2 DTVM",
    "293": "Lastro RDV DTVM",
    "296": "Vision S.A. CC",
    "298": "Vips Corretora de Câmbio",
    "299": "Sorocred CFI S.A.",
    "300": "Banco de la Nacion Argentina",
    "301": "BPP Instituição de Pagamento",
    "306": "Portopar DTVM LTDA",
    "307": "Terra Investimentos DTVM",
    "309": "Cambionet CC LTDA",
    "310": "Vortx DTVM",
    "315": "PI DTVM S.A.",
    "318": "Banco BMG",
    "319": "OM DTVM LTDA",
    "320": "China Construction Bank",
    "321": "Crefaz LTDA",
    "322": "CCR de Abelardo Luz",
    "323": "Mercado Pago",
    "325": "Órama DTVM S.A.",
    "326": "Parati - CFI S.A.",
    "329": "QI S.A.",
    "330": "Banco Bari S.A.",
    "331": "Fram Capital DTVM S.A.",
    "332": "Acesso Soluções Pagamento S.A.",
    "335": "Banco Digio",
    "336": "Banco C6",
    "340": "Super Pagamentos e Administração de Meios Eletrônicos S.A.",
    "341": "Itaú Unibanco",
    "342": "Creditas SCD",
    "343": "Ffa LTDA.",
    "348": "Bco Xp S.A.",
    "349": "Amaggi S.A. CFI",
    "352": "Toro CTVM LTDA",
    "354": "Necton Investimentos S.A CVM",
    "355": "Ótimo SCD S.A.",
    "364": "Gerencianet Pagamentos Brasil LTDA",
    "365": "Solidus S.A. CCVM",
    "366": "Banco Société Générale",
    "367": "Vitreo DTVM S.A.",
    "370": "Banco Mizuho",
    "371": "Warren CVMC LTDA",
    "373": "Up.P Sep S.A.",
    "376": "Banco JPMorgan",
    "389": "Banco Mercantil",
    "394": "Banco Bradesco Financiamentos",
    "399": "Kirton Bank",
    "412": "Banco Capital",
    "422": "Banco Safra",
    "456": "Banco de Tokyo-Mitsubishi UFJ",
    "464": "Banco Sumitomo Mitsui",
    "473": "Banco Caixa Geral",
    "477": "Citibank",
    "479": "Banco ItauBank",
    "487": "Deutsche Bank",
    "488": "JPMorgan Chase Bank",
    "492": "ING Bank N.V.",
    "494": "Banco de La Republica Oriental del Uruguay",
    "495": "Banco de La Provincia de Buenos Aires",
    "505": "Banco Credit Suisse",
    "545": "Senso Corretora",
    "600": "Banco Luso Brasileiro",
    "604": "Banco Industrial",
    "610": "Banco VR",
    "611": "Banco Paulista",
    "612": "Banco Guanabara",
    "613": "Omni Banco",
    "623": "Banco Pan",
    "626": "Banco Ficsa",
    "630": "Banco Intercap",
    "633": "Banco Rendimento",
    "634": "Banco Triângulo",
    "637": "Banco Sofisa",
    "641": "Banco Alvorada",
    "643": "Banco Pine",
    "652": "Itaú Unibanco Holding",
    "653": "Banco Indusval",
    "654": "Banco Renner",
    "655": "Banco Votorantim",
    "707": "Banco Daycoval",
    "712": "Banco Ourinvest",
    "719": "Banif",
    "735": "Banco Neon",
    "739": "Banco Cetelem",
    "741": "Banco Ribeirão Preto",
    "743": "Banco Semear",
    "745": "Banco Citibank",
    "746": "Banco Modal",
    "747": "Banco Rabobank",
    "748": "Sicredi",
    "751": "Scotiabank",
    "752": "Banco BNP Paribas",
    "753": "Banco Continental",
    "754": "Banco Sistema",
    "755": "Bank of America",
    "756": "Bancoob",
    "757": "Banco Keb Hana",
}


class Bank:

    @classmethod
    def nameFromCode(cls, bankCode):
        if not String.isString(bankCode) or not bankCode.isdigit(): return None
        return banks.get(str(int(bankCode)))

    @classmethod
    def isValidCode(cls, bankCode):
        if not String.isString(bankCode) or not bankCode.isdigit(): return False
        return str(int(bankCode)) in banks
