from re import sub


class Identifier:

    @classmethod
    def format(cls, text):
        id = sub(r"\D", "", text)
        if len(id) == 11:
            return "{}.{}.{}-{}".format(id[0:3], id[3:6], id[6:9], id[9:])
        if len(id) == 14:
            return "{}.{}.{}/{}-{}".format(id[0:2], id[2:5], id[5:8], id[8:12], id[12:])
        return text
