from ..utils.memcache import Memcache


class Ip:

    @classmethod
    def delete(cls, key):
        Memcache.delete(key=key)

    @classmethod
    def numberOfTriesByKey(cls, key):
        currentNumberOfTries = Memcache.get(key=key)
        return 0 if not currentNumberOfTries else currentNumberOfTries

    @classmethod
    def increaseNumberOfTriesByKey(cls, key, duration=3*3600):
        currentNumberOfTries = Memcache.get(key=key)
        if not currentNumberOfTries:
            Memcache.set(key=key, value=1, time=duration)
        else:
            Memcache.set(key=key, value=currentNumberOfTries+1, time=duration)