from re import sub, match


class Phone:

    @classmethod
    def isValid(cls, phone):
        return True if match(r'^\d{10,11}$', sub(r"\D", "", phone)) else False

    @classmethod
    def format(cls, phone):
        unformattedPhone = cls.unformat(phone)
        if len(unformattedPhone) == 11:
            return "({}) {}-{}".format(unformattedPhone[0:2], unformattedPhone[2:7], unformattedPhone[7:])
        if len(unformattedPhone) == 10:
            return "({}) {}-{}".format(unformattedPhone[0:2], unformattedPhone[2:6], unformattedPhone[6:])
        return phone

    @classmethod
    def unformat(cls, phone):
        return sub(r"\D", "", phone)